

/*
 * Startup Code for ARM
 * This file is from the startup code version for AT91SAM7Sxx.
 *
 * Header file for SWI
 * The SWI-Codes are defined here.
 *
 * by: Clemens Helfmeier
 * ClemensHelfmeier {at] gmx `dot" de
 * (replace the corresponding at and dot in the email, please).
 */


#ifndef _SWI_ASM_H_
#define _SWI_ASM_H_


/* SWI for IRQ. This sets ARM_MODE_IRQ and
 * returns if the SWI instruction is placed inside
 * the IRQ-Handler routine.
 */
#define SWI_IRQ		(0x100)



#endif
